Getting error while installing 'pattern' package in python

python
gensim
pip_install
pattern

#1

Hello everyone
I am working on NLP with Gensim in Python. To lemmatize the corpus, I want to use .utilis functions. To do so, I am trying to install ‘pattern’ package. But when I gave command pip install -U pattern, I am getting an error
Command “python setup.py egg_info” failed with error code 1 in C:\Users\HP\AppData\Local\Temp\pip-build-1z3kyave\pattern\

Can anyone help me to fix the problem?


#2

Please Try this (Assuming you are on Windows Machine ) ::

pip install --upgrade setuptools

or

easy_install -U setuptools.